def proc load_config_file
local chan%,value%,lp%,a$
  chan%=fop_in(config_file$)
  if chan%<0:return
  rep lp%
    if eof(#chan%):exit lp%
    a$=gline$(#chan%)
    if a$="":next lp%
    if "slide_speed=" instr a$
      value%=extract_number%(a$,"slide_speed=","<-")
      if value%<>-1:slide_speed%=value%
      next lp%
    endif
    if "xsize=" instr a$
      value%=extract_number%(a$,"xsize=","<-")
      if value%<>-1:xsize%=value%
      next lp%
    endif
    if "current_level=" instr a$
      value%=extract_number%(a$,"current_level=","<-")
      if value%<>-1 and value<=maxpuzzle%:current_level%=value%
      next lp%
    endif
    t%="level_file=" instr a$
    if t%
       importfile$=a$(t%+11 to)
       next lp%
    endif
  end rep lp%
  close#chan%
end def load_config_file
:
def proc save_config_file
local chan%
  chan%=fop_over(config_file$)
  if chan%<0:return
  print#chan%,"Config file for Atomix"
  print#chan%,"Do not alter by hand"
  print#chan%,"slide_speed=";slide_speed%;"<-"
  print#chan%,"current_level=";current_level%;"<-"
  print#chan%,"xsize=";xsize%;"<-"
  print#chan%,"level_file=";importfile$
  close#chan%
end def save_config_file




:
